[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.Create

Constructor for the class instance.

## Declaration

Source position: extdlgs.pas line 169

`public constructor TCalculatorDialog.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the TCalculatorDialog class. It calls the inherited method on entry, and sets the default values for properties including:

- Precision
- BeepOnError
- DialogScale
- CalculatorLayout
- ColorBtnDigits
- ColorBtnOthers
- ColorBtnMemory
- ColorBtnOk
- ColorBtnCancel
- ColorBtnClear
- ColorDisplayText
- ColorDisplayBack

## See also

TExtCommonDialog.Create |  | Constructor for the class instance.